Refund

Sandbox (Testing): https://global-api.sand.au.edge.zip.co/merchant/refunds

Once a charge has been captured, if a customer wishes to return an item you will need to create a refund.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/refunds

Useful Notes

  • Partial refunds are accepted.
  • All refunds must have a value less that the original charge and outstanding balance to be refunded.

Example Request

{
  "charge_id": "{{checkout_id}}",
  "reference": "ref_1646065022",
  "reason": "Unwanted item",
  "amount": 100
}
Body Params
string
required

Zip transaction charge ID to apply the refund.

string

Unique transaction reference.

string
required

Reason of the refund.

string
required

Refund amount.

Headers
string
required

Bearer {{API key}}

string
required

[RandomString]

date
required

2021-08-25

Response

Language
LoadingLoading…
Response
Choose an example:
application/json